Skip to main content
GET
/
api
/
v1
/
schedules
/
{schId}
curl -X GET \
  -H "Authorization: Bearer alf_your_key_here" \
  /api/v1/schedules/curator-hourly
{
  "schedule": {
    "spec": {
      "cronExpressions": ["0 * * * *"]
    },
    "action": {
      "startWorkflow": {
        "workflowType": {
          "name": "CuratorWorkflow"
        },
        "taskQueue": {
          "name": "alfred-curator"
        }
      }
    },
    "state": {
      "paused": false,
      "notes": ""
    }
  },
  "info": {
    "recentActions": [],
    "nextActionTimes": ["2026-02-26T15:00:00Z"]
  }
}
Retrieve detailed information about a specific schedule, including its cron expression, associated workflow configuration, paused state, recent executions, and upcoming execution times.
schId
string
required
The schedule ID to describe
curl -X GET \
  -H "Authorization: Bearer alf_your_key_here" \
  /api/v1/schedules/curator-hourly
{
  "schedule": {
    "spec": {
      "cronExpressions": ["0 * * * *"]
    },
    "action": {
      "startWorkflow": {
        "workflowType": {
          "name": "CuratorWorkflow"
        },
        "taskQueue": {
          "name": "alfred-curator"
        }
      }
    },
    "state": {
      "paused": false,
      "notes": ""
    }
  },
  "info": {
    "recentActions": [],
    "nextActionTimes": ["2026-02-26T15:00:00Z"]
  }
}